@import url(https://fonts.googleapis.com/css?family=Muli:200,300,400);
@import url(https://fonts.googleapis.com/css?family=Comfortaa:700);
@keyframes slide-in {
	0% {
		opacity: 0;
		transform: translateY(10px);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

@-webkit-keyframes slide-in {
	0% {
		opacity: 0;
		transform: translateY(10px);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

@-moz-keyframes slide-in {
	0% {
		opacity: 0;
		transform: translateY(10px);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

@keyframes rotation-lr {
	0% {
		transform: rotate(-90deg);
	}
	100% {
		transform: rotate(0);
	}
}

@-webkit-keyframes rotation-lr {
	0% {
		transform: rotate(-90deg);
	}
	100% {
		transform: rotate(0);
	}
}

@-moz-keyframes rotation-lr {
	0% {
		transform: rotate(-90deg);
	}
	100% {
		transform: rotate(0);
	}
}

@keyframes rotation-rl {
	0% {
		transform: rotate(180deg);
	}
	100% {
		transform: rotate(0);
	}
}

@-webkit-keyframes rotation-rl {
	0% {
		transform: rotate(180deg);
	}
	100% {
		transform: rotate(0);
	}
}

@-moz-keyframes rotation-rl {
	0% {
		transform: rotate(180deg);
	}
	100% {
		transform: rotate(0);
	}
}

@keyframes bounceIn {
	0% {
		opacity: 0;
		transform: scale(0.3) translate3d(0, 0, 0);
	}
	50% {
		opacity: 0.9;
		transform: scale(1.1);
	}
	80% {
		opacity: 1;
		transform: scale(0.89);
	}
	100% {
		opacity: 1;
		transform: scale(1) translate3d(0, 0, 0);
	}
}

@keyframes bubble1 {
	0% {
		top: 0px;
	}
	15% {
		top: -10px;
	}
	25% {
		top: 0px;
	}
}

@-webkit-keyframes bubble1 {
	0% {
		top: 0px;
	}
	15% {
		top: -10px;
	}
	25% {
		top: 0px;
	}
}

@-moz-keyframes bubble1 {
	0% {
		top: 0px;
	}
	15% {
		top: -10px;
	}
	25% {
		top: 0px;
	}
}

@keyframes bubble2 {
	10% {
		top: 0px;
	}
	25% {
		top: -10px;
	}
	35% {
		top: 0px;
	}
}

@-webkit-keyframes bubble2 {
	10% {
		top: 0px;
	}
	25% {
		top: -10px;
	}
	35% {
		top: 0px;
	}
}

@-moz-keyframes bubble2 {
	10% {
		top: 0px;
	}
	25% {
		top: -10px;
	}
	35% {
		top: 0px;
	}
}

@keyframes bubble3 {
	15% {
		top: 0px;
	}
	30% {
		top: -10px;
	}
	40% {
		top: 0px;
	}
}

@-webkit-keyframes bubble3 {
	15% {
		top: 0px;
	}
	30% {
		top: -10px;
	}
	40% {
		top: 0px;
	}
}

@-moz-keyframes bubble3 {
	15% {
		top: 0px;
	}
	30% {
		top: -10px;
	}
	40% {
		top: 0px;
	}
}






.anna__chat-widget {
    &__container {
        bottom: 0;
        display: flex;
        flex-direction: column;
        margin: 0 20px 20px 0;
        max-width: 370px;
        position: fixed;
        right: 0;
        width: 90vw;
        z-index: 9999;
        font-family: Muli, Helvetica, Arial;
        font-weight: 300;
        pointer-events: none;

        ::webkit-scrollbar {
            display: none;
        }
        
        :focus {
            outline-color: transparent;
            outline-style: none;
        }

        a:hover {
            text-decoration: underline;
        }
        ul,
        ol {
            margin: 0;
            padding: 6px 0 6px 30px;
        }
        li:not(:last-of-type) {
            margin: 0;
            margin-bottom: 2px;
        }
                        

    }
    
    &__launcher {
        background-color: rgb(187, 156, 236);
        pointer-events: all;
        animation-duration: 0.5s;
        animation-name: slide-in;
        animation-fill-mode: forwards;
        align-self: flex-end;
        border: 0;
        border-radius: 50%;
        box-shadow: 0px 2px 10px 1px #b5b5b5;
        height: 60px;
        width: 60px;
        padding: 0;
        margin-top: 14px;
        cursor: pointer;
        display: flex;
        justify-content: center;
        animation-delay: 0;
        animation-duration: 0.5s;
        animation-name: bounceIn;
        animation-fill-mode: forwards;
        -webkit-animation-delay: 0;
        -webkit-animation-duration: 0.5s;
        -webkit-animation-name: bounceIn;
        -webkit-animation-fill-mode: forwards;
        -moz-animation-delay: 0;
        -moz-animation-duration: 0.5s;
        -moz-animation-name: bounceIn;
        -moz-animation-fill-mode: forwards;

        &__close &__open__img{
            display: block;
        }
        &__close &__close__img{
            display: none;
        }

        &__open &__open__img{
            display: none;
        }
        &__open &__close__img{
            display: block;
        }

        &__open__img {
            width: 90%;
            height: 90%;
            border-radius: 50%; 
            animation-delay: 0s;
            animation-duration: 0.5s;
            animation-name: rotation-rl;
            animation-fill-mode: forwards;
            -webkit-animation-delay: 0s;
            -webkit-animation-duration: 0.5s;
            -webkit-animation-name: rotation-rl;
            -webkit-animation-fill-mode: forwards;
            -moz-animation-delay: 0s;
            -moz-animation-duration: 0.5s;
            -moz-animation-name: rotation-rl;
            -moz-animation-fill-mode: forwards; 
            }
        &__close__img {
            animation-delay: 0;
            animation-duration: 0.5s;
            animation-name: rotation-lr;
            animation-fill-mode: forwards;
            -webkit-animation-delay: 0;
            -webkit-animation-duration: 0.5s;
            -webkit-animation-name: rotation-lr;
            -webkit-animation-fill-mode: forwards;
            -moz-animation-delay: 0;
            -moz-animation-duration: 0.5s;
            -moz-animation-name: rotation-lr;
            -moz-animation-fill-mode: forwards;
            width: 24px; 
        }
    }

    &__header {
        background-color: rgb(187, 156, 236);
        display: flex;
        border-radius: 10px 10px 0 0;
        padding: 0 0 2px;
        color: white;
        height: 84px;
        align-items: center; 
    
        &-content {
            display: flex;
            flex-direction: column;
            text-align: center;
            flex-grow: 2;
            height: 60px;
            margin-bottom: 8px;
            max-width: 100%;
        }
        &-title {
            font-size: 24px;
            margin: 0;
            padding: 5px 0 5px;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
            word-wrap: break-word; 
        }
        &-subtitle {
            font-size: 15px;
            padding: 0 10px;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: nowrap;
            min-height: 20px;
            word-wrap: break-word;
            height: 20px;
        }

        &__x {
            display: none;
            align-items: center;
            justify-content: center; 

            svg {
                height: 20px;
                position: absolute;
                top: 6px;
                right: 4px;
                cursor: pointer; 
            }
        }
  
        &__x, 
        &__info {
            width: 20%; 
        }
        &__p {
            position: fixed;
            top: 10px;
            left: 10px;
            border: 1px solid white;
            border-radius: 50%;
            width: 22px;
            height: 22px;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: white;
            padding: 1px; 

            a {
                display: flex;
                width: 100%;
                height: 100%;

                svg {
                    width: 100%;
                    height: 100%; 
                  }
              }
          }
  

      }
       
    &__window {
        border-radius: 10px;
        box-shadow: 0px 2px 10px 1px #b5b5b5;
        animation-duration: 0.5s;
        animation-name: slide-in;
        animation-fill-mode: forwards;
        background-color: white;
        pointer-events: all;

        &-hide {
            display: none;
        }
        &-show {
            display: block;
        }
    }
          
    &__messages {
        background-color: #fff;
        height: 50vh;
        max-height: 410px;
        overflow-y: scroll;
        padding-top: 10px; 

        br {
            margin-bottom: 10px; 
        }
    }

    &__input {
        border-top: 1px solid #ddd;
        justify-content: center;
        display: flex;
        flex-direction: column;
        height: 76px;
        background-color: white;
        border-radius: 0 0 10px 10px;
        margin: 0;

        &-message-inputbox {
            width: 100%;
            border: 0;
            height: 30px;
            padding-left: 24px;
            box-sizing: border-box;
            font-size: 13px;
            font-family: Muli, Helvetica, Arial;
            background-color: white;

            &::placeholder {
                color: #9F9F9F;
                opacity: 1;
                font-weight: 300;
            }
            
        }

        &-buttons {
            display: flex;
            width: 100%;
            justify-content: space-between;
            height: 20px;
            margin-top: 5px;
            align-items: center;
        }

        &__send {
            background: transparent;
            border: 0;
            white-space: inherit;
            text-indent: 0;
            display: inline-block;
            height: 100%;
            cursor: pointer;
            position: relative;
            bottom: -2px;
            right: -4px;

            svg {
                height: 12px;
                width: 12px;
            }
            
            &__container {
                display: flex;
                padding-right: 15px;
                position: relative;
                bottom: -3px;
                font-size: 13px;
                font-weight: bolder;
                cursor: pointer;
            }
            
        }
        
        
    }
    

}












@media (max-device-width: 650px) {

    .anna__chat-widget {
        &__container {
            width: 100%;
            min-width: 100%;
            height: 100vh;
            margin: 0;
            padding: 0;
            left: 0;
            top: 0;
            position: fixed;
            display: flex;
            justify-content: flex-end;
        }
    
        &__launcher {
            position: fixed;
            bottom: 15px;
            right: 15px;
        }
        &__header {
            border-radius: 0; 

            &__x {
                display: flex;
                svg {
                    top: 10px;
                    right: 12px; 
                }
            }

        }

        &__window {
            width: 100%;
            min-width: 100%;
            height: 100vh;
            margin: 0;
            padding: 0;
            left: 0;
            top: 0;
            position: fixed; 
        } 
    
        &__messages {
            height: 70vh;
        }

        &__input {
            border-radius: 0;
            width: 100%;
            position: fixed;
            bottom: 10vh;
            padding-bottom: 5px;
    
            &--focused {
                bottom: 46vh;
            }    
        }
    

    }
}
